System Properties overview

System Properties is a Windows Management Instrumentation (WMI) tool that you can use to view and change system properties on a remote computer or local computer. Use System Properties to do the following:

Change the size of the virtual memory paging file

You can change the settings for the virtual memory paging file on a computer that might run programs that require a lot of memory.

You must be an administrator on a computer in order to change certain system properties.

Restart a remote computer

You can restart a remote computer to apply settings changes or to detect new hardware.

View a computer's network identification

You can view the computer name and domain information for other computers on your network.

Related Topics


View system properties

To view system properties

  2. In the console tree, right-click Computer Management (Local), and then select Properties.

Notes

  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • The General tab shows which version of Windows 2000 is installed, the name of the person registered to use this copy of Windows 2000, the type of processor, and the total physical memory of the computer. If the operating system was installed by an original equipment manufacturer (OEM), this tab also displays information about technical support.


View your computer's network identification

To view your computer's network identification

  2. In the console tree, right-click Computer Management (Local), and then click Properties.
  3. Click the Network Identification tab. This tab shows the computer name, the workgroup or domain to which it belongs, and a brief description of the computer.

Notes

  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • If your computer doesn't have a description, or you want to change it, you can enter or edit your computer's description in the Network Identification tab.


Change the maximum size of the computer's registry

To change the maximum size of the computer's registry

  1. You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing in order to perform this task.
  3. In the console tree, right-click Computer Management (Local), and then select Properties.
  4. On the Advanced tab, click Performance Options, and under Virtual memory, click Change.
  5. Under Registry size, type a new registry size in megabytes in the Maximum Registry Size (MB) box.
  6. You must restart your computer to apply any changes.

Notes

  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing in order to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • Setting a maximum size for the registry sets an upper limit on how large the area designated for registry data can become. You might need to increase the maximum registry size if the amount of registry data produced by programs exceeds the limit you set under Registry size.


Change the size of the virtual memory paging file

To change the size of the virtual memory paging file

  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Performance Options, and under Virtual memory, click Change.
  4. In the Drive list, click the drive that contains the paging file you want to change.
  5. Under Paging file size for selected drive, type a new paging file size in megabytes in the Initial Size (MB) or Maximum Size (MB) box, and then click Set.

    6. If you decrease the size of either the minimum or maximum page file settings, you must restart your computer to see the effects of those changes. Increases generally do not require a restart.

Notes

  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing in order to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • For best performance, set the initial size to not less than the recommended size under Total paging file size for all drives. The recommended size is equivalent to 1.5 times the amount of RAM on your system.
  • Usually, you should leave the paging file at its recommended size, although you might increase its size if you routinely use programs that require a lot of memory.
  • To delete a paging file, set both initial size and maximum size to zero.


Change the performance of foreground and background programs

To change the performance of foreground and background programs

  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Performance Options.
  4. Under Application response, do one of the following:
    • Click Applications to assign more processor resources to the foreground program than the background program.
    • Click Background services to assign equal amounts of processor resources to all programs.

Notes

  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing in order to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • Choosing the Applications option results in a smoother, faster response time to your foreground program. If you want a background task, such as a Backup utility, to run faster, choose the Background services option.
  • The Applications option allocates short, variable time slices, or quanta, to running programs, while the Background services option assigns long, fixed quanta.


Add or change the values of environment variables

To add or change the values of environment variables

  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Environment Variables.
  4. Select a user in the User variables for list.
  5. Click the name of the user or system variable you want to change or delete.
    • Click New to add a new variable name and value.
    • Click Edit to change a current variable name and value.
    • Click Delete to remove a variable name and value.

Notes

  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing in order to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • Windows 2000 saves changes in the registry so they are available automatically the next time you start your computer.
  • Changes do not affect programs that are running and may not take effect until you restart your computer.


Specify the default operating system for startup

To specify the default operating system for startup

  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Startup and Recovery.
  4. Under System startup, in the Default operating system list, click the operating system you want to start if you do not select one from the list displayed during startup.
  5. In the Display list of operating systems for box, type the number of seconds the list should be displayed before the default operating system starts automatically.

Note

  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing in order to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.


Specify what Windows 2000 does if the system stops unexpectedly

To specify what Windows 2000 does if the system stops unexpectedly

  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Startup and Recovery, and under Recovery, select the actions Windows 2000 should perform if a Stop error occurs.

Notes

  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing in order to perform this task.
  • You can view or change system properties on a remote computer or a local computer. To access a remote computer, right-click Computer Management (Local), click Connect to another computer, and then select the computer you want to connect to in the list.
  • You must have at least a 2 MB paging file on the computer's boot volume if you select Write an event to the system log or Send an administrative alert.
  • The Write an event to the system log option is available only on Windows 2000 Professional. On Windows 2000 Server, this action occurs by default every time a Stop error occurs.
  • The Write debugging information to option requires a paging file on the boot volume large enough to hold all of the computer's physical RAM, plus 1 MB. If you also select the Write kernel information only check box, Windows 2000 writes only kernel information to the listed file instead of the entire contents of system memory.
  • You can save some memory if you clear the Write debugging information to, Write an event to the system log, or Send an administrative alert options. The memory saved depends on the computer, but typically about 60-70 KB is required by the drivers that enable these features.
  • If you contact Microsoft Product Support Services about a Stop error, they may ask for the system-memory dump file generated by the Write debugging information to option. For each dump file generated, Windows always writes to the same file name. To save dump files, change the file name after each Stop error.


Perform a remote shutdown

To perform a remote shutdown

  2. In the console tree, right-click Computer Management (Local), and then click Connect to another computer.
  3. In the Select Computer dialog box, under Name, choose the computer that you want to restart or shutdown, and then click OK.
  4. In the console tree, right-click Computer Management (Remote computer name), and then click Properties.
  5. On the Advanced tab, click Startup and Recovery.
  6. Click Shut Down to open the Shut Down dialog box.
  7. Under Action, select the actions you want to perform on the computer to which you are connected.
  8. Under Force Apps Closed, select when you want to force applications to close when you shut down or restart the computer, and then click OK.

Notes

  • You must be recognized as an administrator or a member of the Administrators group on your computer and on the computer you are managing in order to perform this task.


Understanding Windows Management Instrumentation

The Windows Management Instrumentation (WMI) initiative establishes an architecture that supports the management of an enterprise across the Internet. WMI offers universal access to management information for enterprises by providing a consistent view of the managed environment. This management uniformity gives you the ability to manage your entire business rather than just its components. You can obtain more detailed information regarding the WMI Software Development Kit (SDK) from the Microsoft Developer Network (MSDN).